# Geo-ендпоїнти для доступу до просторових даних

{% hint style="success" %}
GeoPard використовує <https://www.ogc.org/> формати даних Open GeoSpatial Consortium, такі як WMS для зображень і WFS для векторних даних. Також ми працюємо зі shapefile для імпорту та експорту. Двигун є гнучким для імпорту та експорту в будь-якому з цих форматів даних. Для супутникових знімків ми працюємо з [COG (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Щоб виконувати запити WMS/WFS, вам потрібно встановити Postman.
{% endhint %}

{% hint style="info" %}
Кожен запит має бути підписаний за допомогою HEADER "Authorization" (куди потрібно помістити токен) або за допомогою параметра URL "geopardApiKey " (куди потрібно помістити API-ключ користувача).
{% endhint %}

Кінцеві точки WMS API зберігаються в атрибутах "geoMaps" сутностей "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset", "YieldDataset". Перевірте [GeoPard DataScheme.](/geopard-tutorials/ukrainian/dokumentaciya-api/skhema-danikh-geopard-api.md)

Кінцеві точки WFS API зберігаються в "boundaryUrl", "zonesMapUrl" та "attributesUrl" сутностей "Field" і "VectorAnalysisMap".

{% hint style="info" %}
Ми рекомендуємо використовувати проєкцію EPSG:900913 замість EPSG:3857, щоб отримати точніші зображення.
{% endhint %}

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geo-endpoyinti-dlya-dostupu-do-prostorovikh-danikh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
